# Einleitung

## Das Ampelproblem
![image_553.png](image_553.png)


### Lösungsansatz
- ungerichteter Graph $G = (V, E)$ 
  - V = endliche Knotenmenge
  - E = endliche Kangenmenge

> Graph G=(V,E) für kommende Abbildung:
>   V = {s1, s2, s3, s4, s5, s6},
>   E = {{s1, s4}, {s1, s5}, {s2, s4}, {s2, s5}, {s3, s6}, {s4, s5}}

![image_554.png](image_554.png)

#### Clique C
nicht-leere Teilmenge $C \subseteq V$, wenn zwei verschiedene Knoten in C paarweise durch eine Kante aus E verbunden sind

**Es gilt:**
${u,v} \in E$ für alle $u,v \in C$ mit $u \ne v$

per Definition ist **auch jede einelementige Teilmenge** $C \subseteq V$ eine Clique

Größe einer Clique:
$|C|$

